classification
Title: Get rid of using EnvironmentError and IOError
Type: enhancement Stage: resolved
Components: Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: serhiy.storchaka, terry.reedy
Priority: normal Keywords:

Created on 2017-04-08 10:05 by serhiy.storchaka, last changed 2017-06-11 10:27 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 1051 merged serhiy.storchaka, 2017-04-08 10:07
PR 2107 merged terry.reedy, 2017-06-11 10:04
Messages (4)
msg291332 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-08 10:05
EnvironmentError and IOError now are aliases to OSError. But some code still use them. Proposed patch replaces all uses of EnvironmentError and IOError (except tests and scripts) with OSError. This will make the code cleaner and more uniform.
msg291697 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-04-15 04:15
I checked the patch and it appears to be a clean search/replace.  I assume that the aliases have the same diff in C as in Python.

The only idlelib replacement is in run.py, where I (mistakenly) added IOError in 3.3 and 3.4 as well as in 2.7.  This must have been after a previous global replacement.  I would like this change backported to 3.6 to keep the files identical.
msg291745 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-04-16 07:46
New changeset 55fe1ae9708d81b902b6fe8f6590e2a24b1bd4b0 by Serhiy Storchaka in branch 'master':
bpo-30022: Get rid of using EnvironmentError and IOError (except test… (#1051)
https://github.com/python/cpython/commit/55fe1ae9708d81b902b6fe8f6590e2a24b1bd4b0
msg295700 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-06-11 10:26
New changeset 59422a29ee3a95866c4f7e037bdfffd5768afddd by terryjreedy in branch '3.6':
[3.6]bpo-30022: idlelib.run IOError -> OSError [GH-1051] (#2107)
https://github.com/python/cpython/commit/59422a29ee3a95866c4f7e037bdfffd5768afddd
History
Date User Action Args
2017-06-11 10:27:25terry.reedysetassignee: terry.reedy
versions: + Python 3.6
2017-06-11 10:26:27terry.reedysetmessages: + msg295700
2017-06-11 10:04:17terry.reedysetpull_requests: + pull_request2160
2017-04-16 07:47:56serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-04-16 07:46:40serhiy.storchakasetmessages: + msg291745
2017-04-15 04:15:13terry.reedysetnosy: + terry.reedy
messages: + msg291697
2017-04-08 10:07:41serhiy.storchakasetpull_requests: + pull_request1203
2017-04-08 10:05:39serhiy.storchakacreate